#!/bin/bash

set -e 
NAME='tor-browser-zh'
TAR='/opt/tor-browser-zh/tor-browser-linux32-6.0.4_zh-CN.tar.xz'
DIRECTORY=~/.$NAME
INSTALL_DIRECTORY=$DIRECTORY/INSTALL
install() {
	[[ ! -d "$INSTALL_DIRECTORY" ]] && mkdir -p "$INSTALL_DIRECTORY"
	tar --strip-components=1 -xJf  $TAR -C $INSTALL_DIRECTORY > /dev/null 2>&1 || echo "tar failed!"
	touch $DIRECTORY/value 
}

if [[ ! -e $DIRECTORY/value ]]; then
	install
fi

#start 
cd $INSTALL_DIRECTORY && './Browser/start-tor-browser'
